Subject: Re: libtool bug
From: Han-Wen Nienhuys <[email-masked]>
To: Jan Nieuwenhuizen <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Oct 2004 20:44:54 +0200

[email-masked] writes:
> Charles Wilson writes:
> 
> > BTW, Jan, I gather that, despite my earlier doubts, the libtool
> > changes in 1.5.10 fixed the "The application failed to initialize
> > properly (0xc0000005).
> 
> Not exactly, it is fixed, but I cannot confirm that was the fix.
> Guile had a copy of libtool pre 1.4 or something, which we replaced.
> Han-Wen built latest Guile CVS also using libtool 1.5.6 on Cygwin,
> which doesn't have this .rdata change?
> 
> > and now we're looking at another problem?
> 
> Yes, that's right.  Guile now starts fine, but dlopen-ing of a shared
> module does not work.
> 
> [Because Han-Wen reported that "(+ 1 2)" also worked for him, I think
>  Han-Wen found that (see earlier in this thread) linking with -lguile
>  just does not resolve at load time, Han-Wen?]

No, this is not correct. My original email exactly described the
problem: when linking the libsrfi-1 library with libtool 1.5.10 on
Cygwin, libguile.dll.a is not linked, causing the link to fail.

For mysterious reasons (libtool brokenness, I suppose), the compile
and make install do continue, but at run-time the (use-modules .. )
call throws error 126, which is entirely understandable, since
/usr/lib/ does not contain the libsrfi-1 DLL.

When linking libsrfi-1 by hand (inserting libguile.dll.a into the
command line),  and copying the resulting DLL to /usr/lib/ , use-modules
works correctly.

-- 

 Han-Wen Nienhuys   |   [email-masked]   |   http://www.xs4all.nl/~hanwen 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/